#ifndef _CSLIDERGUI_H_
#define _CSLIDERGUI_H_

#include "../App/EngineH.h"
#include "CImageGUI.h"

/*
 *	V constrruktoru se zadava jmeno_objektu, obrazek pro pozadi, rect objektu, obrazek pro spin, pocet hodnot ve spinu, velikost spinu
 *  a jako posledni parametr se muze zadat i aktualni pozice spinu(neni povinny)
 */

class C_SLIDER_0 : public C_GIMAGE_0
{
private :
	uint		_tex_background;	// textura pozadi
	uint		_tex_spin;			// textura spinu
	int			_max_ar;			// pocet dilku
	int			_hod_ar;			// honota 1 dilku
	int			_akt_ar;			// aktualni pozice
	TRect		_rect_spin;			// pozice spinu
	bool		_mouse_click;
	bool		_mouse_click_spin;
	
public :
	C_SLIDER_0(std::string name, uint texture_id1, uint texture_id2, TRect rect, int max_ar=10, int hod_ar=16, int akt_pos=-1);
	~C_SLIDER_0();
	
public :
	virtual void Keyboard(bool keys[255]);
	virtual void MouseClick(int button, int x, int y);
	virtual void MouseClickEx(int button, int x, int y);
	virtual void MouseMove(int x, int y);
	virtual void MouseMoveEx(int x, int y);
	virtual void Render(bool focus);

	int GetAktSpin() {return _akt_ar;}
};

#endif // _CSLIDERGUI_H_